import * as tracing_1 from "@effect-ts/core/Tracing";
const fileName_1 = "packages/@contentlayer/source-files-stackbit/src/addComputedFields.ts";
import { defineDocumentType } from '@contentlayer/source-files';
export const addComputedFields = ({ documentTypes, documentTypeName, computedFields, }) => {
    const documentType = documentTypes.find((_) => _.def().name === documentTypeName);
    if (!documentType) {
        throw new Error(`Document type "${documentTypeName}" not found`);
    }
    const previousDef = documentType.def();
    documentType.def = defineDocumentType(() => ({ ...previousDef, computedFields })).def;
};
//# sourceMappingURL=addComputedFields.js.map